User:Minou666

From Funtoo
Jump to: navigation, search

Template:Developer

Beagleboard X15 support

On my Suzie Linux website I have a stage 3 for funtoo, it uses kernel 4.14.
I also have a stage 3 for gentoo, it uses kernel 4.9.
I have an older full linux image that works nicely on the Beagleboard X15. Due to the changes to kits the upgrade maybe complicated or impossible.
I plan to provide a full linux besides the stage 3 for those who do not wish to start from scratch.
I have fixed the issues with eMMC access on kernel 4.14 on Beagleboard X15 Rev A2.
I do not have a Rev B1 so I do not know if the problem is there as well. I have one at works so I will check later.

The eMMC is broken in the latest release from Texas Instruments. The new eMMC driver for the AM5728 only supports 1.8V devices.
This is a problem because the Beagleboard eMMC and micro SD only supports 3.3V.
It looks like when it detects RevC it corrects itself but RevA2 is ignored.
I have fixed the issue the hard way by hacking the driver.
My patch fixes both the device tree and kernel driver so it never checks to see if the device supports 1.8V and so hard coded it for 3.3V.
I have not checked the driver with the beaglebone yet. From what I see beaglebone is still at kernel 4.9.

I have used yocto to generate the kernel ad device tree binaries. I am looking at creating an ebuild for the kernel to make it more gentoo like.
As far as other ebuilds planned
1-EGL -- use the EGL from 3D GPU instead of the one from mesa
2-Fix weston and wayland to support 3D GPU
3-Add ebuilds for use of the 2D GPU if xorg is required
4-IPC support
5-PRU
6-CAN support
I will publish the address for my ebuild repository when I have the first ebuild done.

These ebuilds should work on both gentoo and funtoo